Bug 820498 - Admin console configuration fail in jdk7
Admin console configuration fail in jdk7
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Monitoring and Management (Show other bugs)
5.3.0 GA
All All
medium Severity urgent
: ER3
: 5.3.0 GA
Assigned To: Default User
: TestBlocker
: 826292 (view as bug list)
Depends On:
Blocks: 826938 826990 826212
  Show dependency treegraph
 
Reported: 2012-05-10 04:26 EDT by Ivo Bek
Modified: 2015-03-12 07:24 EDT (History)
6 users (show)

See Also:
Fixed In Version: 5.3.0.GA
Doc Type: Bug Fix
Doc Text:
When using JDK7 to start JBoss SOA, the admin console would not launch due to a configuration problem. The software's jboss-logmanager has been patched to address this and the console now deploys correctly.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Admin console configuration fail in detail (22.62 KB, text/x-log)
2012-05-10 04:26 EDT, Ivo Bek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-8851 Critical Closed EAP5 admin-console fails to deploy with JDK7 2015-11-19 00:42 EST

  None (edit)
Description Ivo Bek 2012-05-10 04:26:52 EDT
Created attachment 583472 [details]
Admin console configuration fail in detail

Description of problem:

If you use the jdk7 to start the soa-p 5.3.0.ER2, the admin console is not deployed because of configuration fail com.sun.faces.config.ConfigurationException: CONFIGURATION FAILED! Bad level "OFF" (look at attached the part of server log).

Version-Release number of selected component (if applicable):


How reproducible:

start the soa-p 5.3.0.ER2 with jdk7

Steps to Reproduce:
1.
2.
3.
  
Actual results:

the admin console is not deployed

Expected results:

the admin console should be properly deployed

Additional info:
Comment 1 Robert Balent 2012-05-30 04:28:30 EDT
*** Bug 826292 has been marked as a duplicate of this bug. ***
Comment 2 JBoss JIRA Server 2012-05-30 10:50:57 EDT
Martha Benitez <mbenitez@redhat.com> made a comment on jira JBPAPP-8851

A new build of jboss-logmanager with Yang's patch and version 1.1.2.GA-patch-01 is now available in Brew:
jboss-logmanager-1.1.2-6.GA_patch_01.ep5.el6

I'll make the corresponding version change in JDK7 branch too.
Comment 3 JBoss JIRA Server 2012-05-30 11:29:19 EDT
Martha Benitez <mbenitez@redhat.com> made a comment on jira JBPAPP-8851

A new build of jboss-logmanager with Yang's patch and version 1.1.2.GA-patch-01 is now available in Brew:
jboss-logmanager-1.1.2-6.GA_patch_01.ep5.el6

Change JBPAPP_5_1_2_GA_JDK7 branch to use new version (Rev. 113031).
Comment 4 Nick Cross 2012-05-31 04:04:09 EDT
Updated SOA-P to use the new logmanager jar.
Comment 7 JBoss JIRA Server 2012-06-07 05:47:59 EDT
Carlo de Wolf <cdewolf@redhat.com> made a comment on jira JBPAPP-8851

Where is the source of this patch?

I don't see it at http://git.app.eng.bos.redhat.com/?p=jboss-logmanager.git;a=summary
Comment 8 JBoss JIRA Server 2012-06-07 06:40:57 EDT
Carlo de Wolf <cdewolf@redhat.com> made a comment on jira JBPAPP-8851

org.jboss.test.webservice.jbws309.JBWS309TestCase is also affected by this
Comment 9 JBoss JIRA Server 2012-06-07 06:41:14 EDT
Carlo de Wolf <cdewolf@redhat.com> made a comment on jira JBPAPP-8851

{{org.jboss.test.webservice.jbws309.JBWS309TestCase}} is also affected by this
Comment 10 JBoss JIRA Server 2012-06-07 06:42:32 EDT
Carlo de Wolf <cdewolf@redhat.com> made a comment on jira JBPAPP-8851

{{org.jboss.test.webservice.jbas5614.JBAS5614TestCase}} is also affected by this
Comment 11 JBoss JIRA Server 2012-06-07 23:54:01 EDT
Yang Yong <yyang@redhat.com> made a comment on jira JBPAPP-8851

Have created a tag 1.1.2.GA-patch-01 in prod git repo with patches used in Brew jboss-logmanager package included.
FYI: http://git.app.eng.bos.redhat.com/?p=jboss-logmanager.git;a=commit;h=259ee625692fb6bcf33218464271b9bda77c7b04
Comment 12 Suz 2012-06-13 01:27:34 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When using JDK7 to start JBoss SOA, the admin console would not deploy because of configuration fail (com.sun.faces.config.ConfigurationException). This resulted in the admin console failing to deploy. A new patch has been added to address this. This results in the console deploying correctly.
Comment 13 David Le Sage 2012-06-13 23:51:23 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-When using JDK7 to start JBoss SOA, the admin console would not deploy because of configuration fail (com.sun.faces.config.ConfigurationException). This resulted in the admin console failing to deploy. A new patch has been added to address this. This results in the console deploying correctly.+When using JDK7 to start JBoss SOA, the admin console would not deploy because of a configuration problem. As a result, the console would not launch. A new patch has been added to address this and the console now deploys correctly.
Comment 14 David Le Sage 2012-06-13 23:54:28 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-When using JDK7 to start JBoss SOA, the admin console would not deploy because of a configuration problem. As a result, the console would not launch. A new patch has been added to address this and the console now deploys correctly.+When using JDK7 to start JBoss SOA, the admin console would not launch due to a configuration problem.  The software's jboss-logmanager has  been patched to address this and the console now deploys correctly.
Comment 15 Robert Balent 2012-06-25 09:11:52 EDT
It looks like the patch is included in SOA-P 5.3 ER4. Can be this bugzilla resolved?
Comment 16 Len DiMaggio 2012-06-26 09:56:14 EDT
Yes - if this is fixed - close the bz. Thx!
Comment 17 Ivo Bek 2012-06-26 10:07:24 EDT
Verified in JBoss SOA 5.3.0.ER4
Comment 18 JBoss JIRA Server 2012-06-28 07:28:12 EDT
Jan Martiska <jmartisk@redhat.com> made a comment on jira JBPAPP-8851

Tried the fix with latest build. With 32bit JVM, I had to install some missing 32bit libraries (which are not by default in 64bit RHEL6): sudo yum install libXext.i686 libXrender.i686 libXtst.i686. 64bit JVM worked out of the box. The console worked fine both on Sun JVM and OpenJDK.
Comment 19 JBoss JIRA Server 2012-07-23 05:24:37 EDT
Bartosz Baranowski <baranowb@gmail.com> made a comment on jira JBPAPP-8851

Just tried this on my machine, does not explode either. Resolving as upstream issue has been fixed.
Comment 20 JBoss JIRA Server 2012-07-23 05:26:06 EDT
Bartosz Baranowski <baranowb@gmail.com> updated the status of jira JBPAPP-8851 to Resolved
Comment 21 JBoss JIRA Server 2012-09-14 05:00:44 EDT
Jan Martiska <jmartisk@redhat.com> updated the status of jira JBPAPP-8851 to Closed
Comment 22 JBoss JIRA Server 2012-09-14 05:00:44 EDT
Jan Martiska <jmartisk@redhat.com> made a comment on jira JBPAPP-8851

Verified with EAP 5.2.0.ER2 build. It works fine, closing.

Note You need to log in before you can comment on or make changes to this bug.